function retractImg(element1, element2, times, distance1, distance2, speed) {
    for (var i = 0; i < times; i++) {
        element1.animate({
            left: '+=' + distance1
        }, speed);
        element2.animate({
            width: '+=' + distance1
        }, speed);
    }
}
var resize = function() {
    var container = $('#imgContainer');
    var leftImg = $('#origImgCont');
    var rightImg = $('#raster');
    var dragbar = $('#dragbar');

    dragbar.bind('mousedown', function(e) {
        e.preventDefault();
        var resizeImg = true;

        $(container).bind('mousemove', function(e) {
            if (!resizeImg) return;

            var dragWidth = dragbar.outerWidth(),                
                dragPosition = e.clientX, //X position of dragbar relecent to screen                
                containerWidth = container.outerWidth(), //container width                
                containerOffset = container.offset().left, //left position of container relative to document                
                leftWidth = dragPosition - containerOffset, //amount of space between the dragbar and the container left border.                
                rightWidth = containerWidth - (dragPosition - containerOffset), //amount of space between the dragbar and right container border.
                p = 100 * (leftWidth) / container.width(); // in %
                if (p < 2) p = 0;
                if (p > 98) p = 100;

            leftImg.css('width', p + "%"); // leftWidth    //increase or decrese width of left image

            dragbar.css('left', "calc(" + p + "% - 0px)"); // leftWidth - 1

            $("#dragCircle").addClass("draggable");
        });

        //stop scrolling on mouseup.
        $(document).bind('mouseup', function(e) {
            resizeImg = false;
            $("#dragCircle").removeClass("draggable");
        });
    });
};